comedilib (0.11.0+5-1.1build2) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:23:22 +0200

comedilib (0.11.0+5-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:51:59 +0000

comedilib (0.11.0+5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061900

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:26:26 +0000

comedilib (0.11.0+5-1) unstable; urgency=medium

  * Add gbp.conf
  * Fix spelling error in copyright
  * Bump standards version to 4.5.0
  * Fix clean target to fix repeated buildpackage
  * Add Build-Depends-Package to symbols file
  * Add VCS fields
  * Fix spelling errors
  * Add missing man1
  * Add two new manpages
  * Add patch 04_fix_ftbs (Closes: #964671)
  * Bump compat level to 13
  * Remove unneeded dependency on dh-autoreconf
  * Change dh_install --list-missing to dh_missing
  * Change install path to usr/lib/{DEB_HOST_MULTIARCH}
  * Bump debhelper dependency to (>= 13~)
  * Remove dependency on autotools-dev
  * Update uscan to handle multiple sources 
    (Thanks to Dmitry Shachnev)
  * Update comedi_calibrate to version 5. Bump upstream version
    to 0.11.0+5
  * Fix patches for comedi_calibrate-5.
  * Make version addition in get-orig-source target

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 25 Jul 2020 10:48:45 +0200

comedilib (0.11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936321

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 17:56:26 -0400

comedilib (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0
  * Change watch file url to https
  * Remove ancient conflict with libcomedi-0.7.22
  * Change get-orig-source target to use DEB_VERSION_UPSTREAM
  * Update symbols file
  * Remove python dbgsym files

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 31 Dec 2018 00:32:36 +0100

comedilib (0.10.2-4) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #807191)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 16 Jan 2016 21:28:49 +0100

comedilib (0.10.2-3) unstable; urgency=medium

  * Fix extension names for python3.5 (Closes: #793576)
  * Bump standards version to 3.9.6
  * Remove pycompat

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 02 Aug 2015 21:24:07 +0100

comedilib (0.10.2-2) unstable; urgency=medium

  * Add dh_autoreconf (Closes: #754195)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 10 Jul 2014 07:25:17 +0000

comedilib (0.10.2-1) unstable; urgency=medium

  * New upstream version (Closes: #711203)
  * Bump standards version to 3.9.5
  * Update comedi calibrate to version 2 (Closes: #732685)
  * Remove all patches. Already in upstream.
  * Add directories for comedi-calibrate (thanks to Éric Piel)
  * Add dependency on  libboost-dev
  * Add patch 02_configure to disable checking of libcomedi
  * Update hardening to standard
  * Remove dh-autoreconf

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 01 Jul 2014 11:57:35 +0000

comedilib (0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug #733322.
  * Fix build problem with newer bison (Closes: #733322).  Patch from
    Daniel T Chen and Ubuntu via A. Maitland Bottoms backporting
    upstream changesets 90ce9a9, cc0c9e7, f4e228e, c689eff, and
    2277e82.
  * Use dh-autoreconf to fix build problem on some architectures
    (Closes: #727345).  Drop now obsolete autotools-dev build
    dependency.  Patch from Daniel T Chen and Ubuntu via A. Maitland
    Bottoms.
  * Add new executables comedi_soft_calibrate and comedi_board_info to
    the libcomedi1 package (Closes: #711203). Add new directory
    /var/lib/comedi/calibrations to the package, and build using
    --localstatedir=/var to store the state to the correct location.
    Patch from A. Maitland Bottoms.
  * Adjusted 01_calibrate_build.patch to remove check for comedilib.h too,
    to ensure the comedi-calibrate/configure script work without libcomedi0.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 May 2014 20:52:01 +0200


comedilib (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Bump compat to 9
  * Add hardening
  * Upgraded copyright file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 18 Aug 2013 10:31:45 +0200

comedilib (0.10.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/03_bison.patch: Apply patch from upstream to fix build
    failure with bison 2.6. (Closes: #710622)
  * debian/python-comedilib.install: Don't install static libraries for the
    Python package. They are of no use and cause a lintian autoreject.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2013 01:42:56 +0200

comedilib (0.10.0-3) unstable; urgency=low

  * Change pdf backend from fop to no. Fixes compilation on mips.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 05 Jul 2012 21:39:54 +0200

comedilib (0.10.0-2) unstable; urgency=low

  * Add dependency on adduser (Closes: #677573)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 25 Jun 2012 18:03:10 +0200

comedilib (0.10.0-1) unstable; urgency=low

  [ Bernd Porr ]
  * Removed ruby from the build dependencies
  * Disabled install of firmware (via ./configure)

  [ Gudjon I. Gudjonsson ]
  * Upstream release (Closes: #669353)
  * Dropping ruby bindings support.
    Commented out all references to ruby (Closes: #676095)
  * Rename comedi.rules to 90-comedi.rules
  * Move 90-comedi.rules to /lib/udev/rules.d/
  * Add comedi_calibrate (Closes: #544906)
  * Add LDFLAGS= -lm to configure (Closes: #558848)
  * Change bash to sh in postinst script
  * Fix a few errors in manpages. Add patch
    02_fix_manpages.patch (Thanks to Yaroslav Halchenko)
  * Add upstream changelog
  * Update symbols file
  * Update copyright file to DEP5

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 12 Jun 2012 22:09:08 +0200

comedilib (0.8.1-6) unstable; urgency=low

  * Bump standards version to 3.9.3
  * Change to dh_python2
  * Change XS-Python-Version to X-Python-Version
  * Add doc-base file
  * Add watch file
  * Add symbols file
  * Add get-orig-source target
  * Change dependency on udev to recommends (Closes: #570069)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Apr 2012 12:22:16 +0200

comedilib (0.8.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621195).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 07:39:19 +0200

comedilib (0.8.1-5) unstable; urgency=low

  * Fixed the replaces tags in control file. (Closes: #476562)
  * Changed the makefile for the demos.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 09 May 2008 13:28:19 +0200

comedilib (0.8.1-4) unstable; urgency=low

  * Put the demo into wrong directory last time, fixed.
  * Added dependency on adduser and udev. (Closes: #470437)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 11 Mar 2008 12:05:58 +0000

comedilib (0.8.1-3) unstable; urgency=low

  * Added conflicts and replaces tags to control file. (Closes: #465286)
  * Added a group called iocard for access to comedi cards.
  * Added a README.Debian file.
  * Added the demo directory to the libcomedi-dev package.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 04 Mar 2008 01:35:26 +0000

comedilib (0.8.1-2) unstable; urgency=low

  * A new maintainer
  * Bumped the Debian policy version to 3.7.3
  * Made a Homepage: field in the control file
  * libcomedi0.postinst removed and dependency on makedev (Closes: #434166)
  * Version 0.8.1 (Closes: #443922)
  * Pycentral is used in python-comedilib (Closes: #443922)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 21 Jan 2008 23:30:30 +0100

comedilib (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 29 Nov 2007 01:26:20 +0100

comedilib (0.7.22-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to new python policy (Closes: #373305).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 30 Jun 2006 01:06:30 +0200

comedilib (0.7.22-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Packaging changes :
    + Switch to debhelper compatibility level 5.
    + Bump Standards Version to 3.6.2.
    + switch to dh_install instead of dh_movefiles (--list-missing ...)
  * Add swig to build-depends.
  * Rename libcomedi0 into libcomedi-0.7.22 (Closes: #350550).
    + update libcomedi-dev links.
    + update documentation path.
  * Fix lintian warnings/errors:
    + fix man page comedi_calibrate(8).
    + Fix FSF Addresses.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 14 Apr 2006 18:54:50 +0200

comedilib (0.7.22-2) unstable; urgency=low

  * It helps if the shared library is actually in the package.

 -- David Schleef <ds@schleef.org>  Thu, 04 Nov 2004 11:43:51 -0800

comedilib (0.7.22-1) unstable; urgency=low

  * New upstream version.

 -- David Schleef <ds@schleef.org>  Mon, 25 Oct 2004 22:48:43 -0700

comedilib (0.7.21-3) unstable; urgency=low

  * Added dh_python to take care of python dependency (Closes: #207310)

 -- David Schleef <ds@schleef.org>  Tue, 23 Sep 2003 18:11:12 -0700

comedilib (0.7.21-2) unstable; urgency=low

  * Fix accidental overlap of files between libcomedi-dev and libcomedi0

 -- David Schleef <ds@schleef.org>  Mon, 18 Aug 2003 19:35:06 -0700

comedilib (0.7.21-1) unstable; urgency=low

  * New upstream release

 -- David Schleef <ds@schleef.org>  Sat, 16 Aug 2003 16:25:13 -0700

comedilib (0.7.20-2) unstable; urgency=low

  * Apparently debian/copyright got broken at some point in time.
    (probably forgot to merge code back into CVS).  Fixed now,
    but not merged into CVS.  :)
  * Bumped shlibs, since there were symbols added to the lib.
  * Updated to policy 3.5.10:
   - Handle DEB_BUILD_OPTIONS
   - Fix creation of device nodes
  * Long overdue rewrite of package descriptions

 -- David Schleef <ds@schleef.org>  Wed, 25 Jun 2003 10:18:09 -0700

comedilib (0.7.20-1) unstable; urgency=low

  * New upstream release
  * Convert to using autoconf/automake, which takes care of problems
    with gcc-3.x (Closes: #194885)

 -- David Schleef <ds@schleef.org>  Tue, 17 Jun 2003 16:18:25 -0700

comedilib (0.7.19-1) unstable; urgency=low

  * New upstream release

 -- David Schleef <ds@schleef.org>  Wed,  3 Jul 2002 21:04:37 -0700

comedilib (0.7.18) unstable; urgency=low

  * New upstream version
  * Fix spelling error. (Closes: #124919)

 -- David Schleef <ds@schleef.org>  Tue, 22 Jan 2002 02:00:04 -0800

comedilib (0.7.17-1) unstable; urgency=low

  * New upstream version.

 -- David Schleef <ds@schleef.org>  Sat, 17 Nov 2001 18:58:16 -0800

comedilib (0.7.16-1.1) unstable; urgency=low

  * NMU
  * debian/control: bumped Standards-Version
  * debian/ex.doc-base.package: removed dh_make template file
  * debian/libcomedi0.postinst:
    - don't try to create device files if they already exist
    - don't use absolute path to ldconfig
  * debian/libcomedi0.postrm: new; run ldconfig on remove, per Policy
  * debian/libcomedi0.shlibs: refer to shared library package's real name
    and use a legal version number (Closes: #118057)

 -- Branden Robinson <branden@debian.org>  Fri,  2 Nov 2001 14:37:34 -0500

comedilib (0.7.16-1) unstable; urgency=low

  * Upstream version change

 -- David Schleef <ds@schleef.org>  Sun, 15 Jul 2001 16:08:40 -0700

comedilib (0.7.15-1) unstable; urgency=low

  * Upstream version change

 -- David Schleef <ds@schleef.org>  Fri,  3 Mar 2001 10:04:53 -0800

comedilib (0.7.14-1) unstable; urgency=low

  * Upstream version change

 -- David Schleef <ds@schleef.org>  Thu, 30 Nov 2000 15:13:08 -0800

comedilib (0.7.12-1) unstable; urgency=low

  * Upstream version change

 -- David Schleef <ds@schleef.org>  Wed, 11 Oct 2000 14:15:47 -0800

comedilib (0.7.11-2) unstable; urgency=low

  * Lintian fixes

 -- David Schleef <ds@schleef.org>  Fri, 29 Sep 2000 13:07:55 -0800

comedilib (0.7.11-1) unstable; urgency=low

  * Upstream version change

 -- David Schleef <ds@schleef.org>  Sat,  2 Sep 2000 20:00:49 -0800

comedilib (0.7.10) unstable; urgency=low

  * Merged into comedilib distro.

 -- David Schleef <ds@stm.lbl.gov>  Wed, 29 Mar 2000 16:03:00 -0800

comedilib (0.7.9-1) unstable; urgency=low

  * Initial Release.

 -- David Schleef <ds@stm.lbl.gov>  Tue, 28 Mar 2000 11:44:42 -0800
